package fr.tuto.beanAction;

import com.opensymphony.xwork2.ActionSupport;
import fr.tuto.bean.User;

public class RegisterAction extends ActionSupport {
	private static final long serialVersionUID = 1L;

	private User user;

	public User getUser() {
		return user;
	}

	public void setUser(User user) {
		this.user = user;
	}
	
	public void validate(){
		if (user.getMdp().length()>0 && user.getMdp().length()<4 ) {
            addFieldError("user.mdp", getText("invalid.mdp"));
        } 
	}
	
	public String inscription() {
		System.out.println(this.getClass() + " inscription()");
		return SUCCESS;
	}
}